%define major	0

Summary: GNOME virtual file-system libraries
Name: gnome-vfs
Version: 1.0.5
Release: 8mdk
License: LGPL
Group: System/Libraries
BuildRequires: libbzip2-devel gnome-libs-devel libcdda0-devel libxml-devel
BuildRequires: oaf-devel openssl-devel popt-devel xml-i18n-tools
BuildRequires: libGConf1-devel >= 1.0 gnome-mime-data pkgconfig
BuildRequires: gnome-common
Requires: gnome-mime-data
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.0.4-2mdk change location of start-here
Patch0: gnome-vfs-1.0.4-starthere.patch.bz2
# (fc) 1.0.5-1mdk add missing macros for charset conversion
Patch1: gnome-vfs-1.0.5-codeset.patch.bz2
# (fc) 1.0.5-6mdk use GNOME2 Gconf keys for proxy settings
Patch2: gnome-vfs-1.0.5-proxy.patch.bz2
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%package  -n lib%{name}%{major}
Summary: %{summary}
Group: %{group}
Requires: %{name} >= %{version}
%description -n lib%{name}%{major}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains librairies used by gnome-vfs


%package -n lib%{name}%{major}-devel
Provides:	lib%{name}-devel
Summary: Libraries and include files for developing GNOME VFS applications.
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: liboaf0-devel
Requires: lib%{name}%{major} = %{version}
Obsoletes: gnome-vfs-devel
Provides: gnome-vfs-devel = %{version}
Requires: openssl-devel

%description -n lib%{name}%{major}-devel
GNOME VFS development 


%prep
%setup -q
%patch0 -p1 -b .starthere
%patch1 -p1 -b .codeset
%patch2 -p1 -b .proxy

#needed by patch1
autoheader
aclocal -I /usr/share/aclocal/gnome-macros
autoconf

# extfsdir is \$(libdir)/vfs/extfs not \$(prefix)/vfs/extfs. Those
# should be moved elsewhere too.
perl -pi -e "s|^(extfsdir)\s*=\s*\\\$\(prefix\)/lib/(.*)|\1 = \\\$(libdir)/\2|" \
	modules/extfs/Makefile.in modules/extfs/Makefile.am

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
 
%makeinstall_std

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}%{major} -p /sbin/ldconfig
%postun  -n lib%{name}%{major} -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%config(noreplace) %{_sysconfdir}/vfs
%{_libdir}/libgnomevfs-pthread.so
%dir %{_libdir}/vfs
%{_libdir}/vfs/extfs
%dir %{_libdir}/vfs/modules
%{_libdir}/vfs/modules/lib*.so*

%files -n lib%{name}%{major}
%defattr(-, root, root)
%{_libdir}/lib*.so.*


%files  -n lib%{name}%{major}-devel
%defattr(-, root, root)
%{_bindir}/gnome-vfs-config
%{_libdir}/libgnomevfs.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/vfs/modules/*.a
%{_libdir}/vfs/modules/*.la
%{_libdir}/gnome-vfs-1.0
%{_includedir}/*
%{_datadir}/gtk-doc/html/*

%changelog
* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-8mdk
- Rebuild against latest openssl

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-7mdk
- Fix patch2 to use correct GConf key for proxy authentication 

* Thu Sep  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-6mdk
- Patch2: use GNOME 2 Gconf key for proxy settings

* Tue Jul 16 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-5mdk
- extfsdir is $(libdir)/vfs/extfs not $(prefix)/lib/vfs/extfs. Those
  should be moved elsewhere too.

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-4mdk
- devel package should depend on openssl-devel (Thanks to Sebastian Dransfeld)

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-3mdk
- Automated rebuild with gcc 3.1-1mdk

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-2mdk
- Patch1 : add m4 macros missing to really enable charset conversion

* Tue Mar 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Remove patches 1 & 2 (merged upstream)

* Sun Feb 24 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.4-4mdk
- integrated Basque (and others) translation

* Thu Feb 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-3mdk
- Patch1 (GNOME CVS): fix item count in "empty trash" progress dialog 
  counts an entire folder as 1 item (bug 46777)
- Patch2 (GNOME CVS, Brian J. Murrel) : add support to 64-bit file size

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-2mdk
- Patch0: change location of start-here 

* Mon Jan 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Remove patch0 (merged upstream)

* Thu Nov 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Remove source3 and patch1, they have been merged in main source

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch0: fix ssl detection

* Mon Nov  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Fix dependency 

* Fri Oct 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-3mdk 
- BuildRequires: libbzip2-devel
- Removed redundant BuildRequires
- fix Pablo's changelog entry

* Wed Sep 19 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.2-2mdk
- changed menu-methods to produce utf-8 files (now Gnome supports it and
  it solves a lot of charset problems)

* Wed Sep 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Remove patches 0, 2 (merged upstream)

* Wed Aug 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-5mdk
- Patch 1: add .desktop magic detection
- Patch 2: fix segfault
- Source3 : add desktop-vfs-module from Rawhide

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-4mdk
- Fix menu method to run only as root

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Add support for mimetype using menu

* Thu Aug  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Patch0: Fix detection of koffice files

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Fri Mar 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Remove Build depencency on control-center-devel (it is no longer needed)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.2-1mdk
- Release 0.6.2
- Clean spec

* Mon Feb  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Force rebuilding of xml-i18n-tools 

* Tue Jan 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-7mdk
- Recompiled with oaf 0.6.2

* Thu Jan  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-6mdk
- Correct dependency
- Move gnome-vfs-config to devel package

* Mon Dec  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-5mdk
- Correct dependencies (and make dadou happy)

* Tue Nov 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-4mdk
- Correct BuildRequires and Requires 

* Fri Nov 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-3mdk
- merge spec from Stefan van der Eijk <s.vanderiejk@chello.nl> :
		Correct BuildRequires (remove old ones, and organize)

* Tue Nov 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-2mdk
- Correct BuildRequires

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.2-1mdk
- Release 0.4.2
- Put libraries in separate package

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-7mdk
- added requirements on GConf, control-center and others

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-6mdk
- rebuilded with libxml instead of libxml2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.3.1-5mdk
- added *.so in devel package

* Wed Sep  6 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-4mdk
- Rebuild with new version of rpm macros (fix bad rpath)

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-3mdk
- Add more files to packages

* Tue Aug 29 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-2mdk
- Move .so files to main package until libraries are correctly build

* Wed Aug 23 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.1-1mdk
- Release 0.3.1

* Mon Aug 21 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3
- Remove obsolete patch

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.2-2mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- first Mandrake package : BM + macroszification
- patch to correctly install libgnomevfs/gnome-vfs-file-size.h

* Tue Feb 22 2000 Ross Golder <rossigee@bigfoot.com>
- Integrate into source tree
